# ✅ C# Application Development To-Do List

## 1. Login Form

- [x] Create a login form with the following functionality:
    - [x] Determine a user’s location.
    - [x] Translate login and error control messages into:
        - [x] English
        - [x] One additional language
    - [x] Verify correct username and password.

## 2. Customer Record Management

- [x] Add functionality to:
    - [x] Add customer records
    - [x] Update customer records
    - [x] Delete customer records

- [x] Validate customer record requirements:
    - [x] Include name, address, and phone number fields.
    - [x] Ensure fields are trimmed and non-empty.
    - [x] Restrict phone number field to digits and dashes only.

- [x] Add exception handling for:
    - [x] Add operations
    - [x] Update operations
    - [x] Delete operations

## 3. Appointment Management

- [x] Add functionality to:
    - [x] Add appointments
    - [x] Update appointments
    - [x] Delete appointments
    - [x] Capture appointment type
    - [x] Link each appointment to a specific customer

- [x] Validate appointment requirements:
    - [x] Appointments must be during business hours (9:00 a.m. – 5:00 p.m., Monday–Friday, EST).
    - [x] Prevent scheduling of overlapping appointments.

- [x] Add exception handling for:
    - [x] Add operations
    - [x] Update operations
    - [x] Delete operations

## 4. Calendar View

- [x] Implement a calendar view:
    - [x] Allow selection of a day of the month
    - [x] Display appointments for that specific day

## 5. Time Zone Adjustment

- [x] Automatically adjust appointment times based on:
    - [x] User time zones
    - [x] Daylight saving time

## 6. Appointment Alerts

- [x] Create a function to:
    - [x] Generate an alert when a user with an appointment within 15 minutes logs in

## 7. Reports

- [x] Create a report generator using collection classes and lambda expressions:
    - [x] Report: Number of appointment types by month
    - [x] Report: Schedule for each user
    - [x] Report: One additional report of your choice

## 8. Login History

- [x] Record each login attempt:
    - [x] Include timestamp and username
    - [x] Append to “Login_History.txt” file
